6.0.0-git
2019-05-19

[#14043] Unable to accept weekly invitation
Summary Unable to accept weekly invitation
Queue IMP
Queue Version 6.2.10
Type Bug
State Duplicate
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester jose.antonio.calvo (at) upcnet (dot) es
Created 2015-07-03 (1416 days ago)
Due
Updated 2015-10-13 (1314 days ago)
Assigned 2015-10-12 (1315 days ago)
Resolved 2015-10-12 (1315 days ago)
Milestone
Patch No

History
2015-10-13 13:55:44 Michael Rubinsky Comment #20 Reply to this comment
I think I have understood in the last comment of the bug 14076 that 
the problem is solved in IMP 6.2.11. Is this a production version of 
IMP?
It is in the production branch, but hasn't been released yet (this is 
why I stated it was fixed in Git). We will probably have a round of 
bugfix releases within the next month.

2015-10-13 08:37:53 jose (dot) antonio (dot) calvo (at) upcnet (dot) es Comment #19 Reply to this comment
I think I have understood in the last comment of the bug 14076 that 
the problem is solved in IMP 6.2.11. Is this a production version of 
IMP?

We have done the following to install the last production version of IMP:

root@horde:/var/www/horde/config#pear install -a -B horde/imp
Unknown remote channel: phpseclib.sourceforge.net
horde/imp can optionally use package 
"channel://phpseclib.sourceforge.net/File_ASN1"
downloading imp-6.2.10.tgz ...
Starting to download imp-6.2.10.tgz (4,993,229 bytes)
.................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................done: 4,993,229 
bytes

But doing that we get IMP 6.2.10. How can we install IMP 6.2.11?

Thanks!

2015-10-13 08:35:46 jose (dot) antonio (dot) calvo (at) upcnet (dot) es Comment #18 Reply to this comment
2015-10-12 00:53:47 Michael Rubinsky Comment #17
State ⇒ Duplicate
Reply to this comment
2015-10-12 00:37:54 Michael Rubinsky Comment #16 Reply to this comment

Sorry, reproducible when event is recurring. Forgot to recur the event.
2015-10-12 00:25:17 Michael Rubinsky Comment #15
State ⇒ Feedback
New Attachment: Correo____Entrada.jpg Download
Reply to this comment
Still not able to reproduce.

Attached screenshot from current production version of horde/imp/kronolith.

What platform in Horde running on?
2015-10-07 19:42:43 Michael Rubinsky State ⇒ Assigned
 
2015-10-07 19:41:16 Michael Rubinsky Comment #14
Version ⇒ 6.2.10
Queue ⇒ IMP
Reply to this comment
Changing to IMP, as well as production.
2015-10-07 19:33:27 Michael Rubinsky Comment #13 Reply to this comment
We have replaced IMP 6.2.10 by IMP 7.0.0-git master (05-10-2015) in 
our test environment and the problem is solved..The test environment 
is a newly created environment with these versions:
...also, this is likely to fail in various ways. IMP 7 will/does 
likely require changes that are not guaranteed to be present in 
current production code.
2015-10-07 19:30:37 Michael Rubinsky Comment #12 Reply to this comment
Well, since you created this bug report under "Git master", I was 
testing under GIt master.

I also did the additional test against the current PEAR releases 
(FW_5_2), as my first comment states. For IMP, that would be version 
6.2.10. Now that I know you are NOT reporting this under Git, but 
rather the current stable release, I will take another look when I 
have the time.

As far as when IMP 7 will be available, not for a while. It will be 
released with the next major release of Horde (H6) but a LOT of things 
need to happen prior to that.
2015-10-07 17:03:20 jose (dot) antonio (dot) calvo (at) upcnet (dot) es Comment #11 Reply to this comment
We have replaced IMP 6.2.10 by IMP 7.0.0-git master (05-10-2015) in 
our test environment and the problem is solved..The test environment 
is a newly created environment with these versions:

Horde 5.2.7
IMP 7.0.0-git master (05-10-2015)
Kronolith 4.2.9

Can you tell us wich versions of these modules are you using in the 
environment where you aren't able to reproduce the problem?

As long as IMP 7.0.0-git master (05-10-2015) solves the problem, doy 
you know when a production version of IMP 7.0.0 will be released?

Thanks!
2015-10-05 11:54:01 jose (dot) antonio (dot) calvo (at) upcnet (dot) es Comment #10
New Attachment: Horde logs with DEBUG mode.rar Download
Reply to this comment
No attachment.
Sorry, I try to upload it again.
2015-10-05 11:51:37 Michael Rubinsky Comment #9 Reply to this comment
No attachment.
2015-10-05 07:16:21 jose (dot) antonio (dot) calvo (at) upcnet (dot) es Comment #8 Reply to this comment
Nope, still cannot reproduce. Attached a screen capture when 
language is English(British) and dd/mm/yy format. Similar results 
for other combinations your posted as well.

Do you seen any errors in the horde log?
Attached rar file which contains the following Horde log fragments 
with DEBUG mode:

- login_20151002_1132: User prova.agenda.nobel1.1 logs into Horde

- open_IMP__20151002_1138: User prova.agenda.nobel1.1 selects Mail view

- ics_OK__20151002_1140: User prova.agenda.nobel1.1 selects an email 
with a weekly invitation wich day of the month is lower than 12 
(3/9/2015). The resulting iTip is OK.

- ics_KO__20151002_1142: User prova.agenda.nobel1.1 selects an email 
with a weekly invitation wich day of the month is greater than 12 
(18/9/2015). Not iTip is displayed but only an attached ics file.

I all the cases, the global preferences are set to Català as preferred 
language and dd/mm/yyyy as date format.

We suspect of the presentation level of IMP because ics files are OK 
but depending on the dates, no iTip is not generated. In fact, we have 
more similar problems like this one: https://bugs.horde.org/ticket/14117

2015-10-01 16:20:16 Michael Rubinsky Comment #7
New Attachment: Mail____Inbox[2].jpg Download
Reply to this comment
Nope, still cannot reproduce. Attached a screen capture when language 
is English(British) and dd/mm/yy format. Similar results for other 
combinations your posted as well.

Do you seen any errors in the horde log?
2015-10-01 11:20:56 jose (dot) antonio (dot) calvo (at) upcnet (dot) es Comment #6 Reply to this comment
Still cannot reproduce. For both organizer and attendee, I set the 
timezone to Europe/Madrid, and the date format to be dd/mm/yyyy. See 
attached screenshot of resulting iTip.
We have done more tests in order to better characterize the problem.

We have realized that the problem occurs depending on the combination 
of preferred language and the full format to display the dates in the 
user global preferences:

Language: Español

     - "21/10/2015" (default option in our environment) ->  not OK
     - "2015-10-21" -> OK
     - "21 oct 2015" -> OK
     - "21 10 2015" -> not OK

Language: Català

     - "21/10/2015" (default option in our environment) ->  not OK
     - "2015-10-21" -> OK
     - "21 oct 2015" -> not OK
     - "21 10 2015" -> not OK

Language: English (British)

     - "21/10/2015" (default option in our environment) -> not OK
     - "2015-10-21" -> OK
     - "21 oct 2015" -> not OK
     - "21 10 2015" -> not OK

As long as the problem only occurs with dates wich day of the month is 
greater than 12, it seems as the presentation level of IMP, depending 
on the global preferences of the user, takes the day in the month as 
the month itself... or something like that.

We have done these tests in an newly created Horde environment with 
the following versions:

- Horde 5.2.7
- Imp 6.2.10
- Kronolith 4.2.9
2015-09-21 14:46:24 Michael Rubinsky Comment #5
State ⇒ Feedback
New Attachment: Mail____Inbox[1].jpg Download
Reply to this comment
Still cannot reproduce. For both organizer and attendee, I set the 
timezone to Europe/Madrid, and the date format to be dd/mm/yyyy. See 
attached screenshot of resulting iTip.
2015-09-21 12:40:27 jose (dot) antonio (dot) calvo (at) upcnet (dot) es Comment #4 Reply to this comment
After many tests variying many parameters within the invitations, we 
have identified that the problem can be reproduced when the day in the 
month is greater than 12 and only in weekly invitations.

For example, the problem appears with these dates (in Spanish format: 
day/month/year):

- 13/10/2015
- 20/10/2015
- 31/10/2015

And does not appear with these dates:

- 1/10/2015
- 7/10/2015
- 12/10/2015

Our servers are in Spain, so both timezone and date format 
(day/month/year) are relatives to Spain.
2015-07-27 16:09:41 Michael Rubinsky State ⇒ No Feedback
 
2015-07-19 18:05:48 Michael Rubinsky New Attachment: CHANGES_horde.jpg Download
 
2015-07-19 18:04:27 Michael Rubinsky Comment #3
New Attachment: Mail____Inbox_and_CHANGES_?_horde.jpg
Reply to this comment
...and here is a screenshot of the iTip when a single instance of the 
weekly invitation was changed.
2015-07-19 17:51:49 Michael Rubinsky Comment #2
New Attachment: Mail____Inbox.jpg Download
State ⇒ Feedback
Reply to this comment
Cannot reproduce in either Git master or FW_5_2. I've attached 
screenshot of IMP's iTip viewer.
2015-07-07 02:56:57 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Assigned
Priority ⇒ 1. Low
 
2015-07-03 07:14:40 jose (dot) antonio (dot) calvo (at) upcnet (dot) es Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Unable to accept weekly invitation
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
The problem we have found is that when you read the invitation mail 
from IMP of a weekly invitation, you are no able to accept the 
invitation because you receive and empty mail with an ics file 
attached. In this case, if you read the invitation mail from 
Thunderbird, yo are able to accept it.

Whe have found that problem occurs just for weekly invitations. If the 
invitation mail belongs to a non weekly invitation, then you are able 
to accept it from the IMP interface.


Saved Queries